package com.xubx.springboot_01demo.configuration;

public class constantConfiguration {
    //未通过申请
    public static final int Add_Request = 0;
    //已接受好友申请
    public static final int Accept_Request = 1;
    //消息未读
    public static final int Unread = 0;
    //消息已读
    public static final int Read = 1;
    //用户不在线
    public static final int Offline = 0;
    //用户在线
    public static final int Online = 1;
    // 博客点赞数
    public static final String BLOG_LIKE_COUNT = "blog:likeCount:";
    // 用户的总被点赞数
    public static final String USER_TOTAL_LIKE_COUNT = "user:totalLikeCount:";
    // 博客点赞用户集合
    public static final String BLOG_LIKE_SET = "blog:likeUsers:";
    // 博客点赞用户哈希
    public static final String BLOG_LIKE_HASH = "blog:likeHash:";
    public static final String BLOG_LIKE_COUNT_SYNC_LOCK = "blog:likeCountSyncLock:";
    public static final String BLOG_LIKE_USERHASH_SYNC_LOCK = "blog:likeUserHashSyncLock:";

    // 博客浏览数
    public static final String BLOG_VIEW_COUNT = "blog:viewCount:";
    // 博客浏览用户集合
    public static final String BLOG_VIEW_SET = "blog:viewUsers:";
    public static final String BLOG_VIEW_COUNT_SYNC_LOCK = "blog:viewCountSyncLock:";

    //用户的总访问量
    public static final String USER_TOTAL_VIEW_COUNT = "user:totalViewCount:";
    //用户的博客总数量
    public static final String USER_TOTAL_BLOG_COUNT = "user:totalBlogCount:";

    // 博客评论数
    public static final String BLOG_COMMENT_COUNT = "blog:commentCount:";
    // 用户的总被评论数
    public static final String USER_TOTAL_COMMENT_COUNT = "user:totalCommentCount:";

    // 博客收藏数
    public static final String BLOG_COLLECT_COUNT = "blog:collectCount:";
    // 用户的总被收藏数
    public static final String USER_TOTAL_COLLECT_COUNT = "user:totalCollectCount:";
    // 博客收藏用户集合
    public static final String BLOG_COLLECT_SET = "blog:collectUsers:";
    public static final String BLOG_COLLECT_HASH = "blog:collectHash:";
    public static final String BLOG_COLLECT_LOCK = "blog:collectLock:";
    public static final String BLOG_COLLECT_COUNT_SYNC_LOCK = "blog:collectCountSyncLock:";
    public static final String BLOG_COLLECT_USERHASH_SYNC_LOCK = "blog:collectUserHashSyncLock:";

    //用户的总被分享数
    public static final String USER_TOTAL_SHARE_COUNT = "user:totalShareCount:";

    // 用户的总粉丝数量
    public static final String USER_TOTAL_FOLLOWER_COUNT = "user:totalFollowerCount:";

    // 用户模型
    public static final String USER_MODEL = "user:model:";
    //各标签下的视频列表
    public static final String TAG_BLOGS = "tag:blogs:";
    public static final String HOT_RANK = "hot:rank:";
    // 各分类下的视频列表
    public static final String CATEGORY_BLOGS = "category:blogs:";
    // 分类分片 -> 解决大key问题
    public static final String CATEGORY_BLOGS_FRAGMENTATION = "category:blogs:fragmentation:";
}
