package com.xubx.springboot_01demo.entity.dto.blog;

import lombok.Data;

import java.util.List;
import javax.validation.constraints.NotBlank;


/**
 * 新增博客入参
 * @author Xubx
 * @date 2024/11/01
 */
@Data
public class AddBlogDto {
    @NotBlank
    private String title;

    @NotBlank
    private String description;

    /**
     *标签
     */
    private List<String> tags;

    @NotBlank
    private String content;

    /**
     *分类id
     */
    @NotBlank
    private Integer categoryId;

    private String coverImage;

    private String status;
}
