package com.xubx.springboot_01demo.entity.dto.user;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 关注 / 取消关注用户实体类
 * @author Xubx
 * @date 2024/11/19
 */
@Data
public class FollowUserDto {
    /**
     *关注者id
     */
    @NotBlank
    private String followerId;

    /**
     *被关注id
     */
    @NotBlank
    private String followedId;
}
