package com.xubx.springboot_01demo.entity.dto.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 新建收藏夹入参
 * @author Xubx
 * @date 2024/11/03
 */
@Data
@ApiModel("新建收藏夹入参")
public class NewFavoritesDto {
    @NotBlank
    @ApiModelProperty("收藏夹名称")
    private String name;

    @ApiModelProperty("收藏夹描述")
    private String description;

    @ApiModelProperty("收藏夹状态：默认是0 公开，1 私密")
    private Integer favoriteStatus;
}
