package com.xubx.springboot_01demo.entity.pojo;

import java.io.Serializable;

/**
 * 评论实体类
 */
public class Comment implements Serializable {
    /**评论id*/
    private int comment_id;
    /**文章id*/
    private int article_id;
    /**评论人*/
    private String username;
    /**评论内容*/
    private String content;
    /**父评论id*/
    private int parent_id;
    /**父评论人*/
    private String parent_name;
    /**评论时间*/
    private String created;


    @Override
    public String toString() {
        return "Comment{" +
                "comment_id=" + comment_id +
                ", article_id=" + article_id +
                ", parent_name='" + parent_id + '\'' +
                ", username='" + username + '\'' +
                ", content='" + content + '\'' +
                ", created='" + created + '\'' +
                '}';
    }

    public String getParent_name() {
        return parent_name;
    }

    public void setParent_name(String parent_name) {
        this.parent_name = parent_name;
    }

    public int getComment_id() {
        return comment_id;
    }

    public void setComment_id(int comment_id) {
        this.comment_id = comment_id;
    }

    public int getArticle_id() {
        return article_id;
    }

    public void setArticle_id(int article_id) {
        this.article_id = article_id;
    }

    public int getParent_id() {
        return parent_id;
    }

    public void setParent_id(int parent_id) {
        this.parent_id = parent_id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }
}
