package com.xubx.springboot_01demo.entity.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
@ApiModel(value = "UserFollow", description = "用户关注粉丝")
@TableName("user_follow")
public class UserFollow {
    private Integer id;

    @TableField("follower_id")
    private Integer followerId;

    @TableField("followed_id")
    private Integer followedId;

    @TableField("created_time")
    @ApiModelProperty(value = "创建时间")
    private Timestamp createdTime;
}
