package com.xubx.springboot_01demo.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
@ApiModel(description = "获取当前用户信息出参")
public class getUserInfoVo {
    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "个人简介")
    private String bio;

    @ApiModelProperty(value = "总访问量")
    private String totalViewCount;

    @ApiModelProperty(value = "总博客数")
    private String totalBlogCount;

    @ApiModelProperty(value = "粉丝数量")
    private String totalFollowerCount;

    @ApiModelProperty(value = "总收藏数")
    private String totalCollectCount;

    @ApiModelProperty(value = "加入时间")
    private Timestamp joinBlogTime;

    @ApiModelProperty(value = "总点赞数")
    private String totalLikeCount;

    @ApiModelProperty(value = "总评论数")
    private String totalCommentCount;

    @ApiModelProperty(value = "总分享数")
    private String totalShareCount;
}
