package com.xubx.springboot_01demo.service;

import com.xubx.springboot_01demo.entity.vo.UserListVo;
import com.xubx.springboot_01demo.entity.vo.UserVo;

import java.util.List;

public interface RelationshipService {
    /**查询用户*/
    List<UserVo> queryUser(String username);

    /**发送添加请求*/
    void requestFriend(String username, String friendName);

    /**接受添加请求*/
    void acceptFriend(String username, String friendName);

    /**拒绝添加请求*/
    void refuseFriend(String username, String friend);

    /**删除好友*/
    void removeFriend(String username, String friendName);

    /**获取好友列表*/
    List<UserListVo> getFriends(String username);
}
