package com.xubx.springboot_01demo.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xubx.springboot_01demo.entity.dto.user.UserSubscription;
import com.xubx.springboot_01demo.mapper.UserSubscriptionMapper;
import com.xubx.springboot_01demo.service.UserSubscriptionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 用户订阅分类
 * @author Xubx
 * @date 2024/11/22
 */
@Service
public class UserSubscriptionServiceImpl extends ServiceImpl<UserSubscriptionMapper, UserSubscription> implements UserSubscriptionService {

    @Resource
    private UserSubscriptionMapper userSubscriptionMapper;

    @Override
    public List<String> gettagsByCategoryId(Integer categoryId) {
        return userSubscriptionMapper.gettagsByCategoryId(categoryId);
    }
}
