package com.xubx.springboot_01demo.utils.token;

/**
 * 用于存储当前用户的id
 */
public class RequestHolder {
    private static final ThreadLocal<Integer> userHolder = new ThreadLocal<>();

    public static void add(Integer userId) {
        userHolder.set(userId);
    }

    public static Integer getuserId() {
        return userHolder.get();
    }

    public static void remove() {
        userHolder.remove();
    }
}
