package com.xubx.springboot_01demo.entity.dto.blog;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 获取用户博客入参
 * @author Xubx
 * @date 2024/11/03
 */
@Data
public class GetUserBlogsDto {
    @NotBlank
    private String userId;

    @NotBlank
    private int page;

    @NotBlank
    private int pageSize;

}
