package com.xubx.springboot_01demo.entity.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ApiModel(value = "UserFavorite", description = "用户收藏")
@TableName("user_favorite")
public class UserFavorite implements Serializable {
    private Integer id;

    @TableField("name")
    @ApiModelProperty(value = "收藏名称")
    private String name;

    @TableField("description")
    @ApiModelProperty(value = "收藏描述")
    private String description;

    @TableField("blog_count")
    @ApiModelProperty(value = "收藏夹内博客数量")
    private Integer blogCount;

    @TableField("user_id")
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @TableField("favorite_status")
    @ApiModelProperty(value = "收藏状态: 默认是公开，可选私密")
    private String favoriteStatus;

    @TableField("created_time")
    @ApiModelProperty(value = "创建时间")
    private Timestamp createdTime;
}
