package com.xubx.springboot_01demo.entity.vo;

import java.io.Serializable;

public class CommentVo implements Serializable {
    /**
     * 评论id
     */
    private int comment_id;
    /**
     * 文章id
     */
    private int article_id;
    /**
     * 评论人
     */
    private String username;
    /**
     * 评论内容
     */
    private String content;
    /**
     * 父评论id
     */
    private int parent_id;
    /**
     * 父评论人
     */
    private String parent_name;
    /**
     * 评论时间
     */
    private String created;
    /**
     * 评论人头像
     */
    private String avatar;

    @Override
    public String toString() {
        return "CommentVo{" +
                "comment_id=" + comment_id +
                ", article_id=" + article_id +
                ", username='" + username + '\'' +
                ", content='" + content + '\'' +
                ", parent_id=" + parent_id +
                ", parent_name='" + parent_name + '\'' +
                ", created='" + created + '\'' +
                ", avatar='" + avatar + '\'' +
                '}';
    }

    public int getComment_id() {
        return comment_id;
    }

    public void setComment_id(int comment_id) {
        this.comment_id = comment_id;
    }

    public int getArticle_id() {
        return article_id;
    }

    public void setArticle_id(int article_id) {
        this.article_id = article_id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getParent_id() {
        return parent_id;
    }

    public void setParent_id(int parent_id) {
        this.parent_id = parent_id;
    }

    public String getParent_name() {
        return parent_name;
    }

    public void setParent_name(String parent_name) {
        this.parent_name = parent_name;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
