package com.xubx.springboot_01demo.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
@ApiModel(value = "getBlogDetail", description = "获取博客详情")
public class GetBlogDetailVo {
    private int id;

    @ApiModelProperty(value = "标题")
    private String title;


    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "作者ID")
    private Integer authorId;

    @ApiModelProperty(value = "作者名")
    private String authorName;

    @ApiModelProperty(value = "作者头像")
    private String avatar;

    @ApiModelProperty(value = "点赞数")
    private String likeCount;

    @ApiModelProperty(value = "点赞状态: 0未点赞 1已点赞")
    private int likeStatus;

    @ApiModelProperty(value = "浏览数")
    private String viewCount;

    @ApiModelProperty(value = "评论数")
    private String commentCount;

    @ApiModelProperty(value = "收藏数")
    private String collectCount;

    @ApiModelProperty(value = "收藏状态：0未收藏 1已收藏")
    private int collectStatus;

    @ApiModelProperty(value = "更新时间")
    private Timestamp updatedTime;

    @ApiModelProperty(value = "创建时间")
    private Timestamp createdTime;

}
