package com.xubx.springboot_01demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xubx.springboot_01demo.entity.pojo.User;

import java.util.List;

public interface UserMapper extends BaseMapper<User> {
    //2.添加用户接口
    void insertUser(User user);
    //3.添加头像接口
    void addAvatar(String path,String username);
    //4.获取头像地址
    String getAvatar(String name);
    //5.修改用户名
    void usernameChange(String usernameNow,String username);
    //6.修改密码
    void passwordChange(String username,String newPassword);
    //7.通过用户名获取密码
    String getPasswordByname(String username);


    List<User> getUserFans(String userId);

    List<User> getUserFollowList(String userId);

    Object subscribe(Integer currentUserId, List<String> categories);
}
