package com.xubx.springboot_01demo.service.impl;

import com.xubx.springboot_01demo.mapper.CommentMapper;
import com.xubx.springboot_01demo.entity.pojo.Comment;
import com.xubx.springboot_01demo.service.CommentService;
import com.xubx.springboot_01demo.service.UserService;
import com.xubx.springboot_01demo.entity.vo.CommentVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CommentServiceImpl implements CommentService {
    @Resource
    CommentMapper commentMapper;
    @Resource
    UserService userService;
    @Override
    public List<CommentVo> findAllComment(int article_id) {
        return commentMapper.findAllComment(article_id);
    }

    @Override
    public void addComment(Comment comment) {
        Comment comment1 = new Comment();
        //对象属性拷贝
        BeanUtils.copyProperties(comment,comment1);
        comment1.setUsername(userService.getUser("").getUsername());
        System.out.println(comment1);
        commentMapper.addComment(comment1);
    }


}
